config/routes.rb
Spree::Core::Engine.routes.draw do
  # Override for Production state
  namespace :admin, path: Spree.admin_path do
    resources :orders, except: [:show] do
      get :production, on: :member
      post :set_production, on: :member
    end

    resource :banner_message_settings, only: [:edit, :update] do
    end
  end
end

Spree::Core::Engine.add_routes do
  get '/category/*id', :to => 'taxons#show', :as => :categories
end

app/controllers/spree/admin/banner_message_settings_controller.rb
module Spree
  module Admin
    class BannerMessageSettingsController < Spree::Admin::BaseController
      
      def update
        params.each do |name, value|
          next unless Spree::Config.has_preference? name
          Spree::Config[name] = value
        end

        flash[:success] = Spree.t(:successfully_updated, resource: Spree.t(:banner_message_settings))
        redirect_to edit_admin_banner_message_settings_url
      end
      
    end
  end
end

app/views/spree/admin/banner_message_settings/_form.html.erb
<div data-hook="admin_banner_message_form_fields">
  <div class="row">

    <div class="col-md-6" data-hook="general">
      <fieldset>
        <legend><%= Spree.t(:general) %></legend>

        <div class="form-group">
          <%= label_tag :banner_message, Spree.t(:banner_message) %>
          <%= text_field_tag :banner_message, Spree::Config[:banner_message], class: 'form-control' %>
        </div>

        <div class="form-group">
          <%= label_tag :banner_message2, Spree.t(:banner_message2) %>
          <%= text_field_tag :banner_message2, Spree::Config[:banner_message2], class: 'form-control' %>
        </div>

      </fieldset>
    </div>
  </div>
</div>

app/views/spree/admin/banner_message_settings/edit.html.erb
<% content_for :page_title do %>
  <%= Spree.t(:banner_message_settings) %>
<% end %>

<%= form_tag admin_banner_message_settings_path, method: :put do |f| %>
  <fieldset>
    <%= render 'form', f: f %>
    <div class="form-actions actions" data-hook="buttons"><%= button Spree.t('actions.update'), 'update' %></div>
  </fieldset>
<% end %>